<script>
  import {scaleLog} from 'd3-scale';
  import {axisBottom} from 'd3-axis';
  import {select} from 'd3-selection';
  
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 25, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Array
  const values = [2, 4, 6, 7, 9];
  
  const logscale=scaleLog().domain([1,10]).range([0,800]);
  const axis = axisBottom(logscale).ticks(10);
  //const ha = axis(select('g'));
  const ha = function(){
    return axis(select('g.axis'))
  };
  

 
</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})" >
    <!--  -->
    {#each values as value}
       <circle cx={logscale(value)} cy={height/2} r=10 fill='skyblue'/>
    {/each}
  </g>
 <g class='axis' transform='translate({margin.left},{innerHeight})' use:ha>
  
</g>
 <text transform='translate({innerWidth/2},{100})'>
  x label
 </text>
  
</svg>

